### Enumeration

# Gio TlsChannelBindingType

since: 2.66

#### Declaration

    enum Gio.TlsChannelBindingType

#### Description [src]

The type of TLS channel binding data to retrieve from `GTlsConnection` or `GDtlsConnection`, as documented by RFC 5929 or RFC 9266. The `tls-unique-for-telnet` binding type is not currently implemented.

Available since: 2.66

#### Members

Name | Description
--- | ---
`G_TLS_CHANNEL_BINDING_TLS_UNIQUE` | `tls-unique` binding type.
`G_TLS_CHANNEL_BINDING_TLS_SERVER_END_POINT` | `tls-server-end-point` binding type.
`G_TLS_CHANNEL_BINDING_TLS_EXPORTER` | `tls-exporter` binding type. Since: 2.74